Subject: bug#55200: Guix offload fails to allow connections while attempting to connect with the host's hostname or FQDN

From: Simon Streit <[email-masked]>
Date: Mon, 02 May 2022 21:36:37 +0200

Just a quick follow up to correct the title.  I noticed that my wording
is wrong:

Simon Streit <[email-masked]> writes:
> After a bit of bisecting I pinned my issue down to checkout
> 808b9e850491c7b1d867a5f1f4d5ee6f61f345d4.  From there on any guix
> offload test or status will fail if a hostname, or FQDN, is set in the
> name field of a machine.  Offloads work if an IP address is set
> instead.

Any connection fails if I try to offload to a host with its hostname or
FQDN.  Connections to an IP addresse do not fail.

I was wondering if there are more debugging options to look into
offloading?  Changing log-level to 'debug in openssh didn't help.